SDL_AddGamepadMappingsFromIO(3)

NAME
SDL_AddGamepadMappingsFromIO - Load a set of gamepad mappings from an SDL_IOStream .

HEADER FILE
Defined in SDL3/SDL_gamepad.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_AddGamepadMappingsFromIO(SDL_IOStream *src, SDL_bool closeio);

DESCRIPTION
You can call this function several times, if needed, to load different database files. If a new mapping is loaded for an already known gamepad GUID, the later version will overwrite the one currently loaded. Mappings not belonging to the current platform or with no platform field specified will be ignored (i.e. mappings for Linux will be ignored in Windows, etc). This function will load the text database entirely in memory before processing it, so take this into consideration if you are in a memory constrained environment.

FUNCTION PARAMETERS

src the data stream for the mappings to be added

closeio
    if SDL_TRUE , calls SDL_CloseIO () on src before returning, even in the case of an error

RETURN VALUE
Returns the number of mappings added or -1 on error; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_AddGamepadMapping(3), SDL_AddGamepadMappingsFromFile(3), SDL_GetGamepadMapping(3), SDL_GetGamepadMappingForGUID(3)